import { Handler, Context } from '../class';

export default class Lock extends Handler {
  constructor() {
    super();
    this.endpoint = 'lock';
  }

  public async handle(ctx: Context) {
    await ctx.client.util.accounts.lock(ctx.data.username, ctx.client.user.id, { reason: ctx.data.message });
    return ctx.socket.destroy();
  }
}
