import { Handler, Context } from '../class';

export default class RAMLimits extends Handler {
  constructor() {
    super();
    this.endpoint = 'ramlimit';
  }

  public async handle(ctx: Context) {
    const account = await ctx.client.db.Account.findOne({ username: ctx.data.username }).lean().exec();
    const tier = await ctx.client.db.Tier.findOne({ id: account.tier }).lean().exec();
    return ctx.send(tier.resourceLimits.ram.toString());
  }
}
