import { Handler, Context } from '../class';

export default class UserInfo extends Handler {
  constructor() {
    super();
    this.endpoint = 'userinfo';
  }

  public async handle(ctx: Context) {
    const account = await ctx.client.db.Account.findOne({ username: ctx.data.username }).lean().exec();
    return ctx.send(JSON.stringify(account));
  }
}
