import { Client } from '../class';

export default async function getUserByUid(client: Client, uid: number): Promise<string | null> {
  const res = await client.util.exec(`${__dirname}/../bin/getUserByUid ${uid}`);
  if (res === '-1') return null;
  return res.trim();
}
