package main

import (
	"fmt"
	"os"
	"os/user"
)

func main() {
	if len(os.Args) < 1 {
		fmt.Println("-1")
		os.Exit(0)
	}
	userInfo, err := user.LookupId(os.Args[1])
	if err != nil {
		fmt.Println("-1")
		os.Exit(0)
	}
	fmt.Printf("%s", userInfo.Username)
	os.Exit(0)
}
